Index: qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/qploneskindump_config.cpt
===================================================================
--- qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/qploneskindump_config.cpt	(revision 3713)
+++ qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/qploneskindump_config.cpt	(revision 1)
@@ -42,6 +42,5 @@
             <fieldset id="fieldset-product"
                       tal:define="error_fsSkinDir python:errors.get('FSSkinDirectory');
-                                  error_fsProdName python:errors.get('FSProductName');
-                                  error_fsDestinationDir python:errors.get('FSDestinationDirectory');">
+                                  error_fsProdName python:errors.get('FSProductName')">
                 <legend id="fieldsetlegend-product">
                   <label style="font-size: 110%" i18n:translate="label_product">Product</label>
@@ -58,5 +57,5 @@
                     <div i18n:translate="help_FSProductName"
                          class="formHelp">
-                        Name for dumped product. This name should be unique in Destination directory. The name must begin with alphabetical character, following with an alphanumeric combination, also underscore accepts, but not on boundaries.
+                        Name for dumped product. This name should be unique in your Products directory of Plone's instance. The name must begin with alphabetical character, following with an alphanumeric combination, also underscore accepts, but not on boundaries.
                     </div>
                     <div tal:condition="error_fsProdName"
@@ -92,28 +91,4 @@
                            size="50"
                            tal:attributes="value request/FSSkinDirectory|nothing" />
-                </div>
-                <p />
-                <div class="FSDestinationDirectory"
-                     tal:define="destinationDir python:modules['Products.qPloneSkinDump.qPloneSkinDump'].getProductsPath();"
-                     tal:attributes="class python: test(error_fsDestinationDir, 'FSDestinationDirectory error', 'FSDestinationDirectory');">
-                    <label class="FSDestinationDirectory_title"
-                          i18n:translate="label_FSDestinationDirectory">Destination directory</label>
-                    <span class="fieldRequired"
-                           title="Required"
-                           i18n:translate="label_required"
-                           i18n:attributes="title title_required;">(Required)</span>
-                    <div i18n:translate="help_FSDestinationDirectory"
-                         class="formHelp">
-                         Absolute path to directory, where SkinProduct will be created.
-                    </div>
-                    <div tal:condition="error_fsDestinationDir"
-                         tal:content="error_fsDestinationDir" i18n:translate="">Validation Error</div>
-
-                    <input class="FSDestinationDirectory_input"
-                           type="text"
-                           name="FSDestinationDirectory"
-                           value=""
-                           size="50"
-                           tal:attributes="value request/FSDestinationDirectory|destinationDir" />
                 </div>
             </fieldset>
Index: qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/qploneskindump_config_script.cpy
===================================================================
--- qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/qploneskindump_config_script.cpy	(revision 3713)
+++ qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/qploneskindump_config_script.cpy	(revision 1)
@@ -20,5 +20,4 @@
 
 # File system data
-fs_dest_directory = REQUEST.get("FSDestinationDirectory")
 fs_skin_directory = REQUEST.get('FSSkinDirectory')
 fs_product_name = REQUEST.get('FSProductName')
@@ -62,5 +61,4 @@
 result = createProduct(context, zmi_skin_names=zmi_skin_names,\
               zmi_base_skin_name=zmi_base_skin_name,\
-              fs_dest_directory=fs_dest_directory, \
               fs_skin_directory=fs_skin_directory,\
               fs_product_name=fs_product_name,\
@@ -77,7 +75,7 @@
               dump_JS=dump_JS, \
               dump_portlets=dump_portlets, \
-              dump_policy=dump_policy, \
-              dump_portlets_selection=dump_portlets_selection, \
-              dump_custom_views=dump_custom_views )
+              dump_policy=dump_policy,
+              dump_portlets_selection=dump_portlets_selection,
+              dump_custom_views=dump_custom_views)
 
 portal_status_message = u'"%s" Product successfully created.' % fs_product_name
Index: qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/validate_qploneskindump_form.vpy
===================================================================
--- qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/validate_qploneskindump_form.vpy	(revision 3713)
+++ qPloneSkinDump/branches/plone_3.0/skins/qploneskindump/validate_qploneskindump_form.vpy	(revision 1)
@@ -11,7 +11,5 @@
 
 from Products.CMFCore.utils import getToolByName
-from Products.qPloneSkinDump.qPloneSkinDump import isValidProductName
-from Products.qPloneSkinDump.qPloneSkinDump import isValidDirName
-from Products.qPloneSkinDump.qPloneSkinDump import isValidDestinationDir
+from Products.qPloneSkinDump.qPloneSkinDump import isValidProductName, isValidDirName
 errors = state.getErrors()
 
@@ -24,5 +22,5 @@
 
 # Check REQUIRED fields
-REQUIRED_FIELDS = ['ZMISkinName', 'ZMIBaseSkinName', 'FSProductName', 'FSSkinDirectory', 'FSDestinationDirectory']
+REQUIRED_FIELDS = ['ZMISkinName', 'ZMIBaseSkinName', 'FSProductName', 'FSSkinDirectory']
 theform = {}
 for f in REQUIRED_FIELDS:
@@ -32,10 +30,6 @@
     theform[f]=fdata
 
-if not( theform["FSDestinationDirectory"] and isValidDestinationDir(theform["FSDestinationDirectory"]) ):
-    update_errors(errors, {"FSDestinationDirectory": u"Not valid Destination directory"})
-
-if not( theform['FSProductName'] and theform["FSDestinationDirectory"] \
-        and isValidProductName(theform['FSProductName'], theform["FSDestinationDirectory"]) ):
-    update_errors(errors, {'FSProductName': u"Not valid Product name or problem with destination directory - read help attentively."})
+if not( theform['FSProductName'] and isValidProductName(theform['FSProductName']) ):
+    update_errors(errors, {'FSProductName': u"Not valid Product name - read help attentively."})
 
 if not( theform['FSSkinDirectory'] and isValidDirName(theform['FSSkinDirectory']) ):
